php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #42939 OCI_NLS_CHARSET_MAXBYTESZ heat but no light
Submitted: 2007-10-12 01:32 UTC Modified: 2007-11-13 11:10 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:0 of 0 (0.0%)
From: john dot navratil at sbcglobal dot net Assigned: tony2001 (profile)
Status: Closed Package: OCI8 related
PHP Version: 5.2.4 OS: Solaris 8
Private report: No CVE-ID: None
 [2007-10-12 01:32 UTC] john dot navratil at sbcglobal dot net
Description:
------------
OCI_NLS_CHARSET_MAXBYTESZ is still a problem which needs a solution in code or in documentation.

Three bugs (41348, 41563 and 42456) all refer to the lack of definition of OCI_NLS_CHARSET_MAXBYTESZ.  The response from the PHP developer has been to go pound sand.  This seems unfortunate and unnecessary as there appears to be a work around which could both continue the support for older Oracle versions and better match the support model of Oracle Corp., itself.

The offending code appears to obtain a size attribute (bytes_per_char) using the OCI library.  This query isn't present in 8.1.7, but appears later.  In order to support 8.1.7 it would appear that a worst case assumption could be employed (as is suggested in bug 42456).  I do not understand the reticence of the developer to implement this, but I'm sure there is a very good reason.  That Oracle still supports an OCI interface to 8.1.7 isn't a reason for PHP to do so, but it's an indication that the Oracle user community hasn't abandoned this database.  Neither has the PHP community.

If Oracle 8 is no longer to be supported, could we (at least) edit the most current Oracle extension documentation (CVII. Oracle Functions) which now states "These functions allow you to access Oracle 10, Oracle 9, Oracle 8 and Oracle 7 databases using the Oracle Call Interface (OCI)" to be a bit more explicit about what, exactly, is supported?

Reproduce code:
---------------
./configure oci8=<path>
make

Expected result:
----------------
successful build

Actual result:
--------------
oci_lob.c compile failure

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2007-10-14 17:19 UTC] sixd@php.net
The direction forwards is to support compilation with 9iR2 onwards only. 
Cross version compatibility between Oracle client and server libraries still allows connections to older versions of Oracle database.
Leaving bug open until doc can be updated.
 [2007-11-13 11:10 UTC] tony2001@php.net
Removed Oracle8 support (the extension won't configure with Oracle8 client libs anymore) and added a note to the docs.
 
PHP Copyright © 2001-2022 The PHP Group
All rights reserved.
Last updated: Fri Oct 07 21:03:44 2022 UTC